0.96/Platform Components

From Sugar Labs
Jump to: navigation, search
Warning.png
Note:
This page is outdated and based on a copy of the 0.88/Platform Components with partial updates but will need final updates for 0.96.

The Sugar Platform Stack is a set of versioned components on which activity authors can rely when targeting their activities to run on a particular Sugar version.

Activity authors can expect to find the following components in a system running Sugar 0.94:

Name Minimum version API docs Notes
Python 2.5
glib2 2.16 http://library.gnome.org/devel/glib/stable/ Needs updated versions
Gtk+ 2.16 http://library.gnome.org/devel/gtk3/stable/ Needs updated versions
GObject 2.?? / 3? http://library.gnome.org/devel/gobject/stable/ Should we split this in glib, gobject, gio, etc?
GStreamer 0.10.14 http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer-libs/html/
Telepathy 0.7.25 http://telepathy.freedesktop.org/wiki/Telepathy%20GLib Do we need to list explicit versions of salut/gabble/t-m-c
Evince 2.26 http://library.gnome.org/devel/libevview/unstable http://library.gnome.org/devel/libevdocument/unstable/ Should we split this in libevview and libevdocument?
Abiword 2.6
Etoys 4.0.2340 http://download.sugarlabs.org/sources/sucrose/glucose/etoys/ Etoys is part of Sugar itself, why is it listed here?
PyGObject 3.0 http://readthedocs.org/docs/python-gtk-3-tutorial/en/latest/index.html
PyGTK 2.14 http://www.pygtk.org/docs/pygtk/index.html Deprecated, not recommended for new Activities?
dbus 1.1x
squeak-vm 3.10-4
gst-plugins-base 0.10.15
gst-plugins-good 0.10.6
gst-plugins-espeak 0.3
espeak 1.40.02
numpy 1.0.3
pygame 1.7.1
olpcsound / csound / csound-python 5.08
libxml2-python 2.6.30
libffi 3.0.5
xulrunner 1.9.1
webkitgtk 1.6.x http://webkitgtk.org/reference/index.html
vte Including Python bindings